ITmedia NEWS > セキュリティ >
ニュース
2017年06月20日 08時40分 UPDATE

Linuxなどにローカル権限昇格の可能性、管理者権限取得に利用される恐れも

「Stack Clash」と命名された脆弱(ぜいじゃく)性は、悪用されればメモリ破損を誘発され、任意のコードを実行される恐れもあるという。

[鈴木聖子,ITmedia]

 セキュリティ企業のQualysは6月19日、LinuxなどのUNIX系OSに存在するメモリ管理の脆弱(ぜいじゃく)性に関する詳細を公開した。同社はこの脆弱性を「Stack Clash」と命名。攻撃に利用されればメモリ破損を誘発され、任意のコードを実行される恐れもあると解説している。

Stack Clash Stack Clashについて報告するQualysのWebサイト

 Qualysによると、Stack Clashの脆弱性は、Linux、OpenBSD、NetBSD、FreeBSD、Solarisの各OSで影響が確認されており、他のOSも影響を受ける可能性がある。

 Stack Clashという名称は、各プログラムがコンピュータ上で利用するスタックと呼ばれるメモリ領域に由来する。各プログラムが必要とするスタックメモリが増えると、この領域は自動的に増大するが、増大し過ぎて別のメモリ領域に過度に接近すると、異なるメモリ領域のスタックとの間で衝突あるいはクラッシュが起きて、脆弱性が発生するという。

 スタックがクラッシュする脆弱性は2005年と2010年にも発見され、Linuxでは悪用を防ぐために「stack guard-page」という防御措置が導入された。しかしQualysが調べた結果、この措置では攻撃を防止できていないことが分かったとしている。

 Qualysが発見してコンセプト実証コードを公開したのは、いずれもローカル権限昇格の脆弱性だが、影響を受けるシステムに何らかの形でアクセスしている攻撃者がStack Clashの脆弱性を悪用すれば、完全なroot権限を取得することが可能とされる。

 この脆弱性を修正するパッチは6月19日(米国時間)にベンダー各社から公開される予定だといい、Qualysでは速やかにパッチを当てるよう勧告している。

Copyright© 2017 ITmedia, Inc. All Rights Reserved.